Bug 823118 - [abrt] kernel: WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:472 iwl_remove_station+0x314/0x340 [iwlwifi]()
[abrt] kernel: WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:472 iwl...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:88b7762c10eb1f5d7bbf6aeed99...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 04:47 EDT by Florian Ludwig
Modified: 2012-11-14 09:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:57:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Ludwig 2012-05-19 04:47:12 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.5-2.fc16.x86_64 root=UUID=0d558c28-bd61-48e5-b4d5-5a79690eb64b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=latarcyrheb-sun16 rd.luks=0 KEYTABLE=de-latin1-nodeadkeys LANG=en_US.UTF-8
kernel:         3.3.5-2.fc16.x86_64
reason:         WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:472 iwl_remove_station+0x314/0x340 [iwlwifi]()
time:           Do 17 Mai 2012 21:14:12 CEST

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:472 iwl_remove_station+0x314/0x340 [iwlwifi]()
:Hardware name: 4290W1B
:Modules linked in: nls_utf8 udf crc_itu_t usblp usb_storage tcp_lp ppdev parport_pc lp parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp llc fcoe ib_iser libfcoe libfc scsi_transport_fc scsi_tgt rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack sha256_generic dm_crypt arc4 btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_conexant uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops iwlwifi mac80211 snd_hda_intel cfg80211 snd_hda_codec thinkpad_acpi snd_hwdep rfkill joydev snd_seq snd_seq_device iTCO_wdt tpm_tis e1000e microcode i2c_i801 snd_pcm iTCO_vendor_support tpm tpm_bios snd_timer snd soundcore snd_page_alloc binfmt_misc uinput sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2
:c_core video [last unloaded: scsi_wait_scan]
:Pid: 1186, comm: wpa_supplicant Tainted: G        W    3.3.5-2.fc16.x86_64 #1
:Call Trace:
: [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa0323f84>] iwl_remove_station+0x314/0x340 [iwlwifi]
: [<ffffffff815f2b34>] ? __schedule+0x3c4/0x7b0
: [<ffffffffa031cefd>] iwlagn_manage_ibss_station+0x1d/0x40 [iwlwifi]
: [<ffffffffa0332778>] iwlagn_bss_info_changed+0x2b8/0x6d0 [iwlwifi]
: [<ffffffffa027473a>] ieee80211_bss_info_change_notify+0x14a/0x2e0 [mac80211]
: [<ffffffffa0280589>] ieee80211_ibss_leave+0x149/0x210 [mac80211]
: [<ffffffffa028ca45>] ieee80211_leave_ibss+0x15/0x20 [mac80211]
: [<ffffffffa025d220>] __cfg80211_leave_ibss+0x40/0x60 [cfg80211]
: [<ffffffff815f1f8d>] ? mutex_lock+0x1d/0x50
: [<ffffffffa025d288>] cfg80211_leave_ibss+0x48/0x70 [cfg80211]
: [<ffffffffa024c487>] nl80211_leave_ibss+0x37/0x40 [cfg80211]
: [<ffffffff81510685>] genl_rcv_msg+0x1d5/0x250
: [<ffffffff815104b0>] ? genl_rcv+0x40/0x40
: [<ffffffff8150ff19>] netlink_rcv_skb+0xa9/0xd0
: [<ffffffff81510495>] genl_rcv+0x25/0x40
: [<ffffffff8150f8de>] netlink_unicast+0x1ae/0x1f0
: [<ffffffff8150fbde>] netlink_sendmsg+0x2be/0x320
: [<ffffffff814ceb77>] sock_sendmsg+0x117/0x130
: [<ffffffff814ceb77>] ? sock_sendmsg+0x117/0x130
: [<ffffffff814d153a>] ? move_addr_to_kernel+0x5a/0xa0
: [<ffffffff814dd266>] ? verify_iovec+0x56/0xd0
: [<ffffffff814d0156>] __sys_sendmsg+0x396/0x3b0
: [<ffffffff81180a92>] ? do_sync_write+0xd2/0x110
: [<ffffffff8106cabf>] ? set_current_blocked+0x3f/0x60
: [<ffffffff814d2509>] sys_sendmsg+0x49/0x90
: [<ffffffff815fc2e9>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 3db58e27-19bc-441e-ae3b-33d9c0966a72
:OS: Fedora release 16 (Verne)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4984.21
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU-Stepping: 7
:CPU Familie: 6
:CPU-Modellnummer: 42
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 2501
:Systemspeicher: 3838
:System-Swap: 0
:Anbieter: LENOVO
:System: 4290W1B ThinkPad X220
:Form-Faktor: Notebook
:Kernel: 3.3.5-2.fc16.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8666) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8666) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 4993771 3083701 3033708 1253376 1024780 1024780
:/dev/mapper/luks-c5cd134c-ef12-41f9-8c32-827483d17816 /home ext4 4096 4096 66335283 19129816 19129816 16605184 16493998 16493998
:
Comment 1 Jirka Klimes 2012-06-13 10:04:01 EDT
I've found a similar crash in my /var/log/messages.

$ uname -a
Linux gromit 3.3.7-1.fc16.x86_64 #1 SMP Tue May 22 13:59:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

$ethtool -i wlan5
driver: iwlwifi
version: 3.3.7-1.fc16.x86_64
firmware-version: 8.83.5.1 build 33692
bus-info: 0000:03:00.0
supports-statistics: no
supports-test: no
supports-eeprom-access: no
supports-register-dump: no

$ lspci -vvvnn | grep -A 10 Wireless
03:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection [8086:4237]
        Subsystem: Intel Corporation WiFi Link 5100 AGN [8086:1211]
        Physical Slot: 1
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 47
        Region 0: Memory at f4300000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: <access denied>
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi


Jun 13 15:38:04 gromit NetworkManager[1062]: <info> (wlan5): cleaning up...
Jun 13 15:38:04 gromit NetworkManager[1062]: <info> (wlan5): taking down device.
Jun 13 15:38:04 gromit kernel: [197672.299592] ------------[ cut here ]------------
Jun 13 15:38:04 gromit kernel: [197672.299627] WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:472 iwl_remove_station+0x314/0x340 [iwlwifi]()
Jun 13 15:38:04 gromit kernel: [197672.299630] Hardware name: 6475H82
Jun 13 15:38:04 gromit kernel: [197672.299632] Modules linked in: tcp_lp fuse ebtable_nat ebtables xt_CHECKSUM iptable_mangle bridge nfs nf_nat_h323 stp llc nf_conntrack_h323 nf_nat_pptp nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_proto_gre fscache nf_nat_tftp nf_conntrack_tftp auth_rpcgss nfs_acl nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp lockd rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i xt_physdev libcxgbi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state cxgb3 mdio ipt_MASQUERADE ib_iser rdma_cm ib_cm iw_cm iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack ip6table_filter nf_defrag_ipv4 ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi ip6_tables scsi_transport_iscsi arc4 snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq btusb iwlwifi mac80211 snd_seq_device bluetooth e1000e thinkpad_acpi cfg80211 joydev i2c_i801 ppdev snd_pcm snd_timer parport_pc parport iTCO_wdt snd tpm_tis tpm tpm_bios microcode rfki
Jun 13 15:38:04 gromit kernel: ll snd_page_alloc soundcore iTCO_vendor_support vhost_net macvtap macvlan tun virtio_net kvm_intel kvm uinput sunrpc binfmt_misc firewire_ohci firewire_core crc_itu_t yenta_socket ata_generic pata_acpi wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Jun 13 15:38:04 gromit kernel: [197672.299730] Pid: 1062, comm: NetworkManager Not tainted 3.3.7-1.fc16.x86_64 #1
Jun 13 15:38:04 gromit kernel: [197672.299733] Call Trace:
Jun 13 15:38:04 gromit kernel: [197672.299743]  [<ffffffff81057adf>] warn_slowpath_common+0x7f/0xc0
Jun 13 15:38:04 gromit NetworkManager[1062]: <debug> [1339594684.392553] [nm-manager.c:505] manager_device_state_changed(): stopping connectivity checks
Jun 13 15:38:04 gromit kernel: [197672.299747]  [<ffffffff81057b3a>] warn_slowpath_null+0x1a/0x20
Jun 13 15:38:04 gromit kernel: [197672.299765]  [<ffffffffa0442f84>] iwl_remove_station+0x314/0x340 [iwlwifi]
Jun 13 15:38:04 gromit kernel: [197672.299769]  [<ffffffff810728e0>] ? __queue_work+0xe0/0x3e0
Jun 13 15:38:04 gromit kernel: [197672.299777]  [<ffffffffa043befd>] iwlagn_manage_ibss_station+0x1d/0x40 [iwlwifi]
Jun 13 15:38:04 gromit kernel: [197672.299787]  [<ffffffffa0451778>] iwlagn_bss_info_changed+0x2b8/0x6d0 [iwlwifi]
Jun 13 15:38:04 gromit kernel: [197672.299790]  [<ffffffff81072c8f>] ? queue_work+0x1f/0x30
Jun 13 15:38:04 gromit kernel: [197672.299805]  [<ffffffffa039373a>] ieee80211_bss_info_change_notify+0x14a/0x2e0 [mac80211]
Jun 13 15:38:04 gromit kernel: [197672.299817]  [<ffffffffa039f589>] ieee80211_ibss_leave+0x149/0x210 [mac80211]
Jun 13 15:38:04 gromit kernel: [197672.299829]  [<ffffffffa03aba45>] ieee80211_leave_ibss+0x15/0x20 [mac80211]
Jun 13 15:38:04 gromit kernel: [197672.299840]  [<ffffffffa02cc220>] __cfg80211_leave_ibss+0x40/0x60 [cfg80211]
Jun 13 15:38:04 gromit kernel: [197672.299845]  [<ffffffff815f21cd>] ? mutex_lock+0x1d/0x50
Jun 13 15:38:04 gromit kernel: [197672.299853]  [<ffffffffa02cc288>] cfg80211_leave_ibss+0x48/0x70 [cfg80211]
Jun 13 15:38:04 gromit kernel: [197672.299859]  [<ffffffffa02b1b45>] cfg80211_netdev_notifier_call+0x4a5/0x5e0 [cfg80211]
Jun 13 15:38:04 gromit kernel: [197672.299862]  [<ffffffff81072740>] ? insert_work+0x70/0x80
Jun 13 15:38:04 gromit kernel: [197672.299866]  [<ffffffff815f82dd>] notifier_call_chain+0x4d/0x70
Jun 13 15:38:04 gromit kernel: [197672.299870]  [<ffffffff8107fdc6>] raw_notifier_call_chain+0x16/0x20
Jun 13 15:38:04 gromit kernel: [197672.299874]  [<ffffffff814e3cd6>] call_netdevice_notifiers+0x36/0x60
Jun 13 15:38:04 gromit kernel: [197672.299877]  [<ffffffff814e3d3d>] __dev_close_many+0x3d/0xe0
Jun 13 15:38:04 gromit kernel: [197672.299880]  [<ffffffff814e3e1b>] __dev_close+0x3b/0x60
Jun 13 15:38:04 gromit kernel: [197672.299883]  [<ffffffff814e93c1>] __dev_change_flags+0xa1/0x180
Jun 13 15:38:04 gromit kernel: [197672.299885]  [<ffffffff814e9558>] dev_change_flags+0x28/0x70
Jun 13 15:38:04 gromit kernel: [197672.299889]  [<ffffffff814f4e13>] do_setlink+0x283/0x9d0
Jun 13 15:38:04 gromit kernel: [197672.299894]  [<ffffffff812de520>] ? nla_parse+0x30/0xe0
Jun 13 15:38:04 gromit kernel: [197672.299896]  [<ffffffff814f5712>] rtnl_setlink+0xc2/0x120
Jun 13 15:38:04 gromit kernel: [197672.299900]  [<ffffffff81062d00>] ? compat_sys_sysctl+0x60/0xe0
Jun 13 15:38:04 gromit kernel: [197672.299903]  [<ffffffff814f6ae4>] rtnetlink_rcv_msg+0x124/0x2e0
Jun 13 15:38:04 gromit kernel: [197672.299905]  [<ffffffff814f69c0>] ? __rtnl_unlock+0x20/0x20
Jun 13 15:38:04 gromit kernel: [197672.299909]  [<ffffffff81510169>] netlink_rcv_skb+0xa9/0xd0
Jun 13 15:38:04 gromit kernel: [197672.299911]  [<ffffffff814f48a5>] rtnetlink_rcv+0x25/0x40
Jun 13 15:38:04 gromit kernel: [197672.299914]  [<ffffffff8150fb2e>] netlink_unicast+0x1ae/0x1f0
Jun 13 15:38:04 gromit kernel: [197672.299917]  [<ffffffff8150fe2e>] netlink_sendmsg+0x2be/0x320
Jun 13 15:38:04 gromit kernel: [197672.299920]  [<ffffffff814ced17>] sock_sendmsg+0x117/0x130
Jun 13 15:38:04 gromit kernel: [197672.299924]  [<ffffffff8104441c>] ? ptep_set_access_flags+0x6c/0x70
Jun 13 15:38:04 gromit kernel: [197672.299927]  [<ffffffff8114485c>] ? do_wp_page+0x36c/0x730
Jun 13 15:38:04 gromit kernel: [197672.299930]  [<ffffffff814d16da>] ? move_addr_to_kernel+0x5a/0xa0
Jun 13 15:38:04 gromit kernel: [197672.299933]  [<ffffffff814dd406>] ? verify_iovec+0x56/0xd0
Jun 13 15:38:04 gromit kernel: [197672.299936]  [<ffffffff814d02f6>] __sys_sendmsg+0x396/0x3b0
Jun 13 15:38:04 gromit kernel: [197672.299938]  [<ffffffff81146fc8>] ? handle_mm_fault+0x1f8/0x350
Jun 13 15:38:04 gromit kernel: [197672.299941]  [<ffffffff815f7fa0>] ? do_page_fault+0x200/0x4f0
Jun 13 15:38:04 gromit kernel: [197672.299944]  [<ffffffff814d26a9>] sys_sendmsg+0x49/0x90
Jun 13 15:38:04 gromit kernel: [197672.299947]  [<ffffffff815fc529>] system_call_fastpath+0x16/0x1b
Jun 13 15:38:04 gromit kernel: [197672.299949] ---[ end trace 814e22cbcb2c7be8 ]---
Jun 13 15:38:04 gromit kernel: [197672.299953] iwlwifi 0000:03:00.0: failed to remove IBSS station 00:00:00:00:00:00
Comment 2 Dave Jones 2012-10-23 11:30:25 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-14 09:57:33 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.